io.vertx.rxjava.ext.web.api.validation

## Class ContainerDeserializer

- java.lang.Object
- - io.vertx.rxjava.ext.web.api.validation.ContainerDeserializer

-     public class ContainerDeserializer
      extends Object

  Interface that define methods for deserialization of array and objects

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<ContainerDeserializer>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerDeserializer(ContainerDeserializer delegate)`
    `ContainerDeserializer(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `deserializeArray(String serialized)` Deprecated.
    `Map<String,String>` | `deserializeObject(String serialized)` Deprecated.
    `boolean` | `equals(Object o)`
    `ContainerDeserializer` | `getDelegate()`
    `int` | `hashCode()`
    `static ContainerDeserializer` | `newInstance(ContainerDeserializer arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ContainerDeserializer> __TYPE_ARG

  - ### Constructor Detail

    - #### ContainerDeserializer

          public ContainerDeserializer(ContainerDeserializer delegate)

    - #### ContainerDeserializer

          public ContainerDeserializer(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ContainerDeserializer getDelegate()

    - #### deserializeArray

          @Deprecated
          public List<String> deserializeArray(String serialized)

      Deprecated.

    - #### deserializeObject

          @Deprecated
          public Map<String,String> deserializeObject(String serialized)

      Deprecated.

    - #### newInstance

          public static ContainerDeserializer newInstance(ContainerDeserializer arg)

Copyright © 2022 Eclipse. All rights reserved.